MCP server
Base URL
https://{kibana_url}
POST
/api/agent_builder/mcp
POST
/s/{space_id} /api/agent_builder/mcp
Auth
This endpoint is designed for MCP clients (Claude Desktop, Cursor, VS Code, etc.) and should not be used directly via REST APIs. Use MCP Inspector or native MCP clients instead.
To learn more about the Agent Builder MCP server, refer to the MCP documentation .
Privileges
agentBuilder:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
namespace
string
Comma-separated list of namespaces to filter tools. Only tools matching the specified namespaces will be returned.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
DO NOT USE THIS ENDPOINT VIA REST API. These examples are auto-generated and should not be run. Integrate with MCP using MCP Inspector or native MCP clients (Claude Desktop, Cursor, VS Code) instead.
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
POST kbn:/api/agent_builder/mcp
{
"id": 1,
"jsonrpc": "2.0",
"method": "initialize",
"params": {
"capabilities": {},
"clientInfo": {
"name": "test-client",
"version": "1.0.0"
},
"protocolVersion": "2024-11-05"
}
}
Generated from the API spec
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
curl -X POST "${KIBANA_URL}/api/agent_builder/mcp" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"id": 1,
"jsonrpc": "2.0",
"method": "initialize",
"params": {
"capabilities": {},
"clientInfo": {
"name": "test-client",
"version": "1.0.0"
},
"protocolVersion": "2024-11-05"
}
}'
Generated from the API spec
Response
Example response showing the successful result of communication initialisation over MCP protocol
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"capabilities": {
"tools": {
"listChanged": true
}
},
"protocolVersion": "2024-11-05",
"serverInfo": {
"name": "elastic-mcp-server",
"version": "0.0.1"
}
}
}